Package de.gebit.integrity.dsl

## Interface Suite

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `SuiteStatement`, `SuiteStatementWithResult`
  All Known Implementing Classes:
    `SuiteImpl`

      public interface Suite
      extends SuiteStatementWithResult

  A representation of the model object 'Suite'.

  The following features are supported:

  - `Inlined`
  - `Multiplier`
  - `Definition`
  - `Parameters`
  - `Return`
  - `Fork`
  - `Variants`
  See Also:
    `DslPackage.getSuite()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SuiteDefinition` | `getDefinition()` | Returns the value of the 'Definition' reference.
    `ForkDefinition` | `getFork()` | Returns the value of the 'Fork' reference.
    `String` | `getInlined()` | Returns the value of the 'Inlined' attribute.
    `ExecutionMultiplier` | `getMultiplier()` | Returns the value of the 'Multiplier' containment reference.
    `org.eclipse.emf.common.util.EList<SuiteParameter>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `org.eclipse.emf.common.util.EList<SuiteReturn>` | `getReturn()` | Returns the value of the 'Return' containment reference list.
    `org.eclipse.emf.common.util.EList<VariantDefinition>` | `getVariants()` | Returns the value of the 'Variants' reference list.
    `void` | `setDefinition​(SuiteDefinition value)` | Sets the value of the '`Definition`' reference.
    `void` | `setFork​(ForkDefinition value)` | Sets the value of the '`Fork`' reference.
    `void` | `setInlined​(String value)` | Sets the value of the '`Inlined`' attribute.
    `void` | `setMultiplier​(ExecutionMultiplier value)` | Sets the value of the '`Multiplier`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getInlined

          String getInlined()

      Returns the value of the 'Inlined' attribute.
      Returns:
        the value of the 'Inlined' attribute.
      See Also:
        `setInlined(String)`, `DslPackage.getSuite_Inlined()`

    - #### setInlined

          void setInlined​(String value)

      Sets the value of the '`Inlined`' attribute.
      Parameters:
        `value` - the new value of the 'Inlined' attribute.
      See Also:
        `getInlined()`

    - #### getMultiplier

          ExecutionMultiplier getMultiplier()

      Returns the value of the 'Multiplier' containment reference.
      Returns:
        the value of the 'Multiplier' containment reference.
      See Also:
        `setMultiplier(ExecutionMultiplier)`, `DslPackage.getSuite_Multiplier()`

    - #### setMultiplier

          void setMultiplier​(ExecutionMultiplier value)

      Sets the value of the '`Multiplier`' containment reference.
      Parameters:
        `value` - the new value of the 'Multiplier' containment reference.
      See Also:
        `getMultiplier()`

    - #### getDefinition

          SuiteDefinition getDefinition()

      Returns the value of the 'Definition' reference.
      Returns:
        the value of the 'Definition' reference.
      See Also:
        `setDefinition(SuiteDefinition)`, `DslPackage.getSuite_Definition()`

    - #### setDefinition

          void setDefinition​(SuiteDefinition value)

      Sets the value of the '`Definition`' reference.
      Parameters:
        `value` - the new value of the 'Definition' reference.
      See Also:
        `getDefinition()`

    - #### getParameters

          org.eclipse.emf.common.util.EList<SuiteParameter> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `SuiteParameter`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `DslPackage.getSuite_Parameters()`

    - #### getReturn

          org.eclipse.emf.common.util.EList<SuiteReturn> getReturn()

      Returns the value of the 'Return' containment reference list. The list contents are of type `SuiteReturn`.
      Returns:
        the value of the 'Return' containment reference list.
      See Also:
        `DslPackage.getSuite_Return()`

    - #### getFork

          ForkDefinition getFork()

      Returns the value of the 'Fork' reference.
      Returns:
        the value of the 'Fork' reference.
      See Also:
        `setFork(ForkDefinition)`, `DslPackage.getSuite_Fork()`

    - #### setFork

          void setFork​(ForkDefinition value)

      Sets the value of the '`Fork`' reference.
      Parameters:
        `value` - the new value of the 'Fork' reference.
      See Also:
        `getFork()`

    - #### getVariants

          org.eclipse.emf.common.util.EList<VariantDefinition> getVariants()

      Returns the value of the 'Variants' reference list. The list contents are of type `VariantDefinition`.
      Returns:
        the value of the 'Variants' reference list.
      See Also:
        `DslPackage.getSuite_Variants()`